# entryInfo Struct Reference

`#include <header_internal.h>`

## Data Fields

int_32 | tag
int_32 | type
int_32 | offset
int_32 | count

## Detailed Description

Definition at line 26 of file header_internal.h.

## Field Documentation

int_32 entryInfo::tag

Tag identifier.

Definition at line 27 of file header_internal.h.

Referenced by doHeaderUnload(), findEntry(), formatValue(), headerDump(), indexCmp(), offsetCmp(), parseExpression(), parseFormat(), and regionSwab().

int_32 entryInfo::type

Tag data type.

Definition at line 28 of file header_internal.h.

Referenced by copyEntry(), doHeaderUnload(), findEntry(), headerDump(), intGetEntry(), and regionSwab().

int_32 entryInfo::offset

Offset into data segment (ondisk only).

Definition at line 29 of file header_internal.h.

Referenced by doHeaderUnload(), headerDump(), offsetCmp(), and regionSwab().

int_32 entryInfo::count

Number of tag elements.

Definition at line 30 of file header_internal.h.

Referenced by copyEntry(), doHeaderUnload(), headerDump(), and regionSwab().

The documentation for this struct was generated from the following file:

- lib/header_internal.h